<?php
/**
 * NotificationEventEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CommunicationManagerClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Communication manager
 *
 * Ensi Communication manager
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\CommunicationManagerClient\Dto;
use \Ensi\CommunicationManagerClient\ObjectSerializer;

/**
 * NotificationEventEnum Class Doc Comment
 *
 * @category Class
 * @description События уведомлений. Расшифровка значений:   * 101&#x60; - Переход заказа в статус &#39;Ожидает оплаты&#39;   * 102&#x60; - Переход заказа в статус &#39;Новый&#39;   * 103&#x60; - Переход заказа в статус &#39;Подтвержден&#39;   * 104&#x60; - Переход заказа в статус &#39;Завершён&#39;   * 105&#x60; - Переход заказа в статус &#39;Отменен&#39;   * 201&#x60; - Переход отправления в статус &#39;Новый&#39;   * 202&#x60; - Переход отправления в статус &#39;Собран&#39;   * 203&#x60; - Переход отправления в статус &#39;Передан СД&#39;   * 204&#x60; - Переход отправления в статус &#39;Готов к выдаче&#39;   * 205&#x60; - Переход отправления в статус &#39;Получен&#39;   * 206&#x60; - Переход отправления в статус &#39;Отменен&#39;   * 401&#x60; - Запрос кода подтверждения
 * @package  Ensi\CommunicationManagerClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class NotificationEventEnum
{
    
    /** Переход заказа в статус &#39;Ожидает оплаты&#39; */
    public const ORDER_WAIT_PAY = 101;
    
    /** Переход заказа в статус &#39;Новый&#39; */
    public const ORDER_NEW = 102;
    
    /** Переход заказа в статус &#39;Подтвержден&#39; */
    public const ORDER_APPROVED = 103;
    
    /** Переход заказа в статус &#39;Завершён&#39; */
    public const ORDER_DONE = 104;
    
    /** Переход заказа в статус &#39;Отменен&#39; */
    public const ORDER_CANCELED = 105;
    
    /** Переход отправления в статус &#39;Новый&#39; */
    public const DELIVERY_NEW = 201;
    
    /** Переход отправления в статус &#39;Собран&#39; */
    public const DELIVERY_ASSEMBLED = 202;
    
    /** Переход отправления в статус &#39;Передан СД&#39; */
    public const DELIVERY_TRANSFER = 203;
    
    /** Переход отправления в статус &#39;Готов к выдаче&#39; */
    public const DELIVERY_READY_TO_PICKUP = 204;
    
    /** Переход отправления в статус &#39;Получен&#39; */
    public const DELIVERY_DONE = 205;
    
    /** Переход отправления в статус &#39;Отменен&#39; */
    public const DELIVERY_CANCELED = 206;
    
    /** Запрос кода подтверждения */
    public const SEND_CONFIRMATION_CODE = 401;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::ORDER_WAIT_PAY,
            self::ORDER_NEW,
            self::ORDER_APPROVED,
            self::ORDER_DONE,
            self::ORDER_CANCELED,
            self::DELIVERY_NEW,
            self::DELIVERY_ASSEMBLED,
            self::DELIVERY_TRANSFER,
            self::DELIVERY_READY_TO_PICKUP,
            self::DELIVERY_DONE,
            self::DELIVERY_CANCELED,
            self::SEND_CONFIRMATION_CODE,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::ORDER_WAIT_PAY => 'Переход заказа в статус \'Ожидает оплаты\'',
            self::ORDER_NEW => 'Переход заказа в статус \'Новый\'',
            self::ORDER_APPROVED => 'Переход заказа в статус \'Подтвержден\'',
            self::ORDER_DONE => 'Переход заказа в статус \'Завершён\'',
            self::ORDER_CANCELED => 'Переход заказа в статус \'Отменен\'',
            self::DELIVERY_NEW => 'Переход отправления в статус \'Новый\'',
            self::DELIVERY_ASSEMBLED => 'Переход отправления в статус \'Собран\'',
            self::DELIVERY_TRANSFER => 'Переход отправления в статус \'Передан СД\'',
            self::DELIVERY_READY_TO_PICKUP => 'Переход отправления в статус \'Готов к выдаче\'',
            self::DELIVERY_DONE => 'Переход отправления в статус \'Получен\'',
            self::DELIVERY_CANCELED => 'Переход отправления в статус \'Отменен\'',
            self::SEND_CONFIRMATION_CODE => 'Запрос кода подтверждения',
        ];
    }
}


